package controller

import (
	"electricity_bill_calc/response"
	"electricity_bill_calc/security"

	"github.com/gin-gonic/gin"
)

func InitializeGodModeController(router *gin.Engine) {
	gmR := router.Group("/gm")
	{
		gmR.DELETE("/report/:rid/summary", security.SingularityAuthorize, gmResetReportSummary)
	}
}

func gmResetReportSummary(c *gin.Context) {
	result := response.NewResult(c)
	result.Success("指定报表的园区总览已经重置。")
}
